//----------------------------------------------------------------------
//               The Motion Strategy Library (MSL)
//----------------------------------------------------------------------
//
// Copyright (c) 1998-2001 Iowa State University and Steve LaValle.  
// All Rights Reserved.
// 
// Permission to use, copy, and distribute this software and its 
// documentation is hereby granted free of charge, provided that 
// (1) it is not a component of a commercial product, and 
// (2) this notice appears in all copies of the software and
//     related documentation. 
// 
// Iowa State University and the author make no representations
// about the suitability or fitness of this software for any purpose.  
// It is provided "as is" without express or implied warranty.
//----------------------------------------------------------------------

#include <LEDA/file.h>
#include <LEDA/list.h>
#include <LEDA/point.h>
#include <LEDA/polygon.h>
#include <LEDA/random.h>
#include <LEDA/stream.h>
#include <LEDA/string.h>
#include <LEDA/vector.h>

#include <LEDA/REDEFINE_NAMES.h>

//! A rigid robot that moves along helical paths in a 3D world
class Model3DRigidHelical: public Model3DRigid {
 public:
  Model3DRigidHelical(string path);
  virtual ~Model3DRigidHelical() {};
  virtual vector StateTransitionEquation(const vector &x, const vector &u);
  virtual vector Integrate(const vector &x, const vector &u, 
			   const double &h); 
};


#include <LEDA/UNDEFINE_NAMES.h>




